Subject: Re: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: Dmitry Gutov <[email-masked]>
Date: Fri, 18 Jan 2013 09:54:25 +0400

On 18.01.2013 9:25, Paul Eggert wrote:
> On 01/17/2013 09:10 PM, Dmitry Gutov wrote:
>> cifs:
>>
>> 1358485764.638001400 fstat
>> 1358485764.638001400 lstat
>> 1358485764.638001400 stat
>> *
>> 1358485764.638001400 fstat
>> 1358485764.638001400 lstat
>> 1358485764.638001400 stat
>
> That looks busted, since there's
> a 10 ms sleep followed by a write at the two
> points I marked "*" above, which means that
> fstat, lstat, and stat are all wrong after the "*".
> There's a similar problem with your vboxsf output.
> ext4 looks OK.

Two points? I see one asterisk. Otherwise, yes, looks like a problem.

> I see that there is a known bug about Samba and 'write'
> and st_mtime; see <https://bugzilla.samba.org/show_bug.cgi?id=6925>.
> Could this be the bug you're running into, with cifs?

Maybe it is, I don't know. The bug describes a Linux server and says 
that the Windows client is also having the problem. I just mounted the 
shared folder on the same machine as a different disk, and the native 
Emacs trunk build doesn't seem to trigger the bug.

> If you change the sleep to 100 ms, does that fix
> the above behavior?  How about 1 second?  2 seconds?

Nope, not even 10 or 60 seconds. The pause is visible, but the numbers 
are the same.